type-info.h File Reference
SPA » Utilities » Types

`spa/utils/type-info.h` More...

Go to the source code of this file.

## Macros

#define | SPA_TYPE_ROOT spa_types
#define | SPA_TYPE_INFO_Direction SPA_TYPE_INFO_ENUM_BASE "Direction"
#define | SPA_TYPE_INFO_DIRECTION_BASE SPA_TYPE_INFO_Direction ":"
#define | SPA_TYPE_INFO_Choice SPA_TYPE_INFO_ENUM_BASE "Choice"
#define | SPA_TYPE_INFO_CHOICE_BASE SPA_TYPE_INFO_Choice ":"

## Functions

static bool | spa_type_is_a (const char *type, const char *parent)

## Variables

static const struct spa_type_info | spa_type_direction []
static const struct spa_type_info | spa_type_choice []
static const struct spa_type_info | spa_types []

## Detailed Description

`spa/utils/type-info.h`